SAP Internet Transaction Server 4620.2.0.323011 Build 46B.323011 - Cross-Site Scripting

EDB-ID:

23071




Platform:

Multiple

Date:

2003-08-30


Become a Certified Penetration Tester

Enroll in Penetration Testing with Kali Linux , the course required to become an Offensive Security Certified Professional (OSCP)

GET CERTIFIED

source: https://www.securityfocus.com/bid/8517/info

The 'wgate.dll' componenet of SAP Internet Transaction Server has been reported prone to cross-site scripting attacks. The issue occurs due to a lack of sufficient sanitization performed on data supplied to the 'wgate.dll' library. Exploitation could allow theft of cookie-based authentication credentials or other attacks 

http://www.server.name/scripts/wgate.dll?

with params:
~service=--><img%09src=javascript:alert(1)%3bcrap